<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
//Model
use App\Models\Pago;


class PagoSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //

        $pago = new Pago();
        $pago->monto = 500.50;
        $pago->activo = '1';
        $pago->fecha_reg = "2023-11-02";
        $pago->tasa_id = 1;
        $pago->registro_id = 1;
        $pago->tipo_pago_id = 2;
        $pago->save();

        $pago = new Pago();
        $pago->monto = 1000.00;
        $pago->activo = '1';
        $pago->fecha_reg = "2023-11-02";
        $pago->tasa_id = 2;
        $pago->registro_id = 1;
        $pago->tipo_pago_id = 1;
        $pago->save();


        $pago = new Pago();
        $pago->monto = 500.50;
        $pago->activo = '1';
        $pago->fecha_reg = "2023-11-02";
        $pago->tasa_id = 2;
        $pago->registro_id = 2;
        $pago->tipo_pago_id = 2;
        $pago->save();

        $pago = new Pago();
        $pago->monto = 1000.00;
        $pago->activo = '1';
        $pago->fecha_reg = "2023-11-02";
        $pago->tasa_id = 2;
        $pago->registro_id = 2;
        $pago->tipo_pago_id = 2;
        $pago->save();


    }
}
